> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/custom-settings/sdk-customization/prompt-options.md).

# Prompt Options

When the user invokes Luciq (e.g. by shake or floating button), they can see a prompt menu to choose “Report a bug”, “Feedback”, “Ask a question”, etc. You control which options appear and default behavior.

### Report types

Set which report types appear in the prompt:

{% code title="Kotlin" %}

```kotlin
BugReportingKmp.setReportTypes(listOf(
    ReportType.Bug,
    ReportType.Feedback,
    ReportType.Question,
    ReportType.Other
))
```

{% endcode %}

### Invocation options

Set default options for the form (comment required, email hidden/optional, thank-you dialog):

{% code title="Kotlin" %}

```kotlin
BugReportingKmp.setInvocationOptions(listOf(
    InvocationOptions.CommentFieldRequired,
    InvocationOptions.EmailFieldOptional,
    InvocationOptions.DisablePostSendingDialog
))
```

{% endcode %}

To open a specific report type and options without showing the prompt, use `BugReportingKmp.show(reportType, invocationOptions)`. See [Showing Luciq](https://github.com/Instabug/luciq-docs/tree/main/kmp/setup-luciq-for-kmp/custom-settings/setup-bug-reporting/showing-luciq.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/custom-settings/sdk-customization/prompt-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
